Page MenuHomePhabricator

Times New Roman font appearing unintentionally on he.wp (as Georgia font has no support for Hebrew)
Closed, ResolvedPublic

Description

Author: dalilae

Description:
Intention:
its just the new Typography design problems. its a constant problem

Expected Results:
to be fixed

Reproducible: Didn't try

no skin - vector... [[File:Typography refresh - Times new roman header - new-vers.png|thumb|Typography refresh - Times new roman header font family shouldn't appear]]


Version: unspecified
Severity: minor
URL: https://commons.wikimedia.org/wiki/File:Typography_refresh_-_Times_new_roman_header_-_new-vers.png

Details

Reference
bz63843

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:17 AM
bzimport set Reference to bz63843.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Apr 12 2014, 1:11 AM

(In reply to dalilonim from comment #0)

Intention:
its just the new Typography design problems. its a constant problem

"Intention" is supposed to explain what you're trying to do on the website.

Expected Results:
to be fixed

"Expected results" is supposed to explain which results you expected from the action that you had taken before on the website.

How is this related to OOjs? Also, what are exact steps to reproduce, which URL can the problem be seen on, and which browser, browser version and operating system do you use? (For general info, see [[mw:How to report a bug]])

dalilae wrote:

its not a private matter - its a collective complain, and not local, for all he.wiki. for URL just select a random article - i attached screenshots of this one: [https://he.wikipedia.org/wiki/%D7%9E%D7%A8%D7%97%D7%91-%D7%96%D7%9E%D7%9F]

if thats not the place to report it, then could u pass them this file please (god i dont wanna fill these again). or direct me there?
tnx,
~~~~

Which browser, browser version and operating system do you use?

The #firstHeading definition says for font-family:
"Linux Libertine",Georgia,Times,serif
so Times will appear if Linux Libertine and Georgia are not available on your system.

Could you please elaborate what exactly the bug is that you are reporting, and why you think that it's a bug?

dalilae wrote:

we were told times new roman should not appear: "Times New Roman should not be displayed for any users. Both Windows and Mac users have Georgia, which is the specified font. For Linux, they should be getting Nimbus Roman No9 L. <font style="font-family:Georgia, serif;">[[User:Steven (WMF)|Steven Walling (WMF)]]&nbsp;&bull;&nbsp;[[User talk:Steven"

so if not suppose to appear it's a bug and one that people dont like so not welcomed act of god...

we got most responses from users of pc, using windows and google chrome.

I see. Could you ask if these Windows users have the Georgia font installed?

swalling wrote:

(In reply to dalilonim from comment #4)

we were told times new roman should not appear: "Times New Roman should not
be displayed for any users. Both Windows and Mac users have Georgia, which
is the specified font. For Linux, they should be getting Nimbus Roman No9 L.
<font style="font-family:Georgia, serif;">[[User:Steven (WMF)|Steven Walling
(WMF)]]&nbsp;&bull;&nbsp;[[User talk:Steven"
so if not suppose to appear it's a bug and one that people dont like so not
welcomed act of god...
we got most responses from users of pc, using windows and google chrome.

I cannot replicate this bug on Windows XP, 7, or 8. The only way I think Times New Roman could be appearing for Windows users on Chrome is if they have disabled the Georgia font, or they are using a language which is not supported by Georgia. Is this specific a single user or language?

(In reply to Steven Walling from comment #6)

Is this specific a single user or language?

This is about Hebrew.

dalilae wrote:

i think Georgia font doesn't have a Hebrew implementation - see [http://en.wikipedia.org/wiki/List_of_Microsoft_Windows_fonts]

dalilae wrote:

it seems i should mention this issue is connected to another one - [https://bugzilla.wikimedia.org/show_bug.cgi?id=63844]. sorry for inconvenience - probably should have mentioned that before. it came up in the dialog on the other problem...

See https://gerrit.wikimedia.org/r/125760 - this could hopefully help with choosing a better font stack for the Hebrew language for headings - although what the font stack is I'm not sure.

Georgia indeed has no support for Hebrew. In that regard, the font stack works as expected and falls back to Times (New Roman). If Times works properly, then it is an aesthetic issue. If you do want a better font for headers, You can override it in your MediaWiki:Vector.css.

dalilae wrote:

(In reply to Erwin Dokter from comment #11)

Georgia indeed has no support for Hebrew. In that regard, the font stack
works as expected and falls back to Times (New Roman). If Times works
properly, then it is an aesthetic issue. If you do want a better font for
headers, You can override it in your MediaWiki:Vector.css.

that we know already. we donot want a personal solution for editors but for all hebrew wiki. and i regarding the aesthetic definition, the whole new typography is well designed for Latin font but don't work for us and this aint the only problem with it.

When I siad MediaWiki:Vector.css, I did not mean the personal CSS file, but the one for the entire site: https://he.wikipedia.org/wiki/MediaWiki:Vector.css

dalilae wrote:

ok. sorry for misunderstanding. tnx

Krinkle removed a subscriber: Krinkle.Jan 5 2015, 2:04 AM

Change 216028 had a related patch set uploaded (by Nemo bis):
Make headers use the same fonts as the rest of the content

https://gerrit.wikimedia.org/r/216028

Jdlrobson changed the task status from Open to Stalled.Nov 2 2015, 9:37 PM
Jdlrobson added subscribers: Volker_E, violetto.

I've asked @violetto and @Volker_E to investigate Hebrew fonts.

Catrope set Security to None.Nov 13 2015, 7:41 PM
Catrope removed a subscriber: Catrope.
Isarra moved this task from Backlog to Bugs on the Vector board.Apr 7 2016, 1:08 AM
Isarra moved this task from Bugs to Typography on the Vector board.

Change 216028 abandoned by Isarra:
Make headers use the same fonts as the rest of the content

https://gerrit.wikimedia.org/r/216028

Patch provided at https://gerrit.wikimedia.org/r/#/c/217707/ and merged into 1.28.10 https://phabricator.wikimedia.org/diffusion/SVEC/browse/wmf%252F1.28.0-wmf.10/ featuring generic font-family: sans-serif specifically for Hebrew fixed this issue.

Volker_E closed this task as Resolved.Oct 27 2016, 8:16 PM
Volker_E edited projects, added UI-Standardization; removed Patch-For-Review.